package it.unipd.dei.customlistitem;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class CustomArrayAdapter extends ArrayAdapter<Contact> {
	// we keep track of model objects in a local variable for our convenience
	private ArrayList<Contact> items;
	private Context context;

	public CustomArrayAdapter(Context context, int textViewResourceId,
			ArrayList<Contact> items) {
		super(context, textViewResourceId, items);
		this.context = context;
		this.items = items;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		// performance issue (see Google I/O video in references)
		View v = convertView;
		if (v == null) {
			LayoutInflater vi = (LayoutInflater) context
					.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			v = vi.inflate(R.layout.custom_list_item_layout, null);
		}
		// position contains the index of the array for
		// the associated item so we retrieve the Contact
		Contact c = this.items.get(position);
		if (c != null) {
			TextView nameTextView = (TextView) v.findViewById(R.id.name);
			nameTextView.setText(c.getName());
			ImageView picImageView = (ImageView) v.findViewById(R.id.pic);
			picImageView.setImageBitmap(c.getImage());
		}
		return v;
	}

}
